//+------------------------------------------------------------------+
//|                                                      MW_Test.mq4 |
//|                                            Forex-softprogramming |
//|                                http://forex-softprogramming.com/ |
//+------------------------------------------------------------------+
#property copyright "Forex-softprogramming"
#property link      "http://forex-softprogramming.com/"
#property version   "1.00"
enum TYPERUN
{
  type1,//Auto
  type2,//Manual
  type3//Disable
};
enum TINY
{
  tiny1,//Enabled
  tiny2//Disabled
};
#property indicator_chart_window

extern string           Symbol_To_Send="GBPUSD";
extern int Number_ofdays_PHL=3;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
bool START;
datetime nextCheck;
int OnInit()
  {
    START=true;
    nextCheck=0;
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
   if(START && TimeCurrent()>=nextCheck)
   {
     
     string symbol=Symbol_To_Send;
     
     double close1, close2;
     int digits=(int) MarketInfo(symbol,MODE_DIGITS);
     int n, err;

     while(true)
     {
       n=iHighest(symbol,PERIOD_D1,MODE_HIGH,Number_ofdays_PHL,1);
       err=GetLastError();
       if(err==4066)
       {
         nextCheck=TimeCurrent()+5;
         return(0);
       }
       Print("error 1 ",err);
       if(err!=4066) break;
     }
     close1=NormalizeDouble(iHigh(symbol,PERIOD_D1,n),digits);
     while(true)
     {
       n=iLowest(symbol,PERIOD_D1,MODE_LOW,Number_ofdays_PHL,1);
       err=GetLastError();
       Print("error 2 ",err);
       if(err!=4066) break;
     }
     close2=NormalizeDouble(iLow(symbol,PERIOD_D1,n),digits);
     
     Print("high for function   "+DoubleToStr(close1,digits)+"  number bar  ",n);
     
     Print("low for function   "+DoubleToStr(close2,digits)+"  number bar  ",n);  
     START=false;
   }
   return(rates_total);
  }
//+------------------------------------------------------------------+
